# HeadedMapWindow in maplibre::window - Rust
Window which references a physical `RawWindow`. This is only implemented by headed windows and not by headless windows.
Keywords: rust, rustlang, rust-lang, HeadedMapWindow

# Trait maplibre::window::HeadedMapWindow

source · [−]

    pub trait HeadedMapWindow: MapWindow {
        type RawWindow: HasRawWindowHandle;
        fn inner(&self) -> &Self::RawWindow;
    }

Expand description

Window which references a physical `RawWindow`. This is only implemented by headed windows and not by headless windows.

## Associated Types

source

#### type RawWindow: HasRawWindowHandle

## Required methods

source

#### fn inner(&self) -> &Self::RawWindow

## Implementors